Package htsjdk.samtools.cram.structure

# Class EncodingDescriptor

java.lang.Object
htsjdk.samtools.cram.structure.EncodingDescriptor

public class EncodingDescriptor extends Object
A class for representing an encoding, including encoding-specific parameters, suitable for serialization to/from a stream.

## Constructor Summary

Constructors
Constructor
Description
`EncodingDescriptor(EncodingID encodingID, byte[] encodingParameters)`
Representation of an encoding, including untyped encoding-specific parameters in the form of an array of bytes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`EncodingID`
`getEncodingID()`
`byte[]`
`getEncodingParameters()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EncodingDescriptor

public EncodingDescriptor(EncodingID encodingID, byte[] encodingParameters)
Representation of an encoding, including untyped encoding-specific parameters in the form of an array of bytes.

Parameters:
  `encodingID` - the encoding ID for this descriptor
  `encodingParameters` - the encoding parameters for this descriptor

## Method Details

### getEncodingID

public EncodingID getEncodingID()

Returns:
  the `EncodingID` for this descriptor.

### getEncodingParameters

public byte[] getEncodingParameters()

Returns:
  A byte array containing the encoding parameters for this descriptor.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`